| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uhd::usrp::rx_dboard_base Class Reference

`#include <uhd/usrp/dboard_base.hpp>`

Inheritance diagram for uhd::usrp::rx_dboard_base:

## Public Member Functions
| rx_dboard_base (ctor_args_t)
| ~rx_dboard_base () override
Public Member Functions inherited from uhd::usrp::dboard_base
| dboard_base (ctor_args_t)
virtual | ~dboard_base ()
virtual void | initialize ()

## Additional Inherited Members
Public Types inherited from uhd::usrp::dboard_base
typedef std::shared_ptr< dboard_base > | sptr
typedef void * | ctor_args_t
Protected Member Functions inherited from uhd::usrp::dboard_base
std::string | get_subdev_name (void)
dboard_iface::sptr | get_iface (void)
dboard_id_t | get_rx_id (void)
dboard_id_t | get_tx_id (void)
dboard_eeprom_t | get_rx_eeprom (void)
dboard_eeprom_t | get_tx_eeprom (void)
property_tree::sptr | get_rx_subtree (void)
property_tree::sptr | get_tx_subtree (void)

## Detailed Description

A rx daughter board only implements rx methods. Sub classes for rx-only boards should inherit this.

## Constructor & Destructor Documentation

## ◆ rx_dboard_base()

uhd::usrp::rx_dboard_base::rx_dboard_base | ( | ctor_args_t |  | ) |

Create a new rx dboard object, override in subclasses.

## ◆ ~rx_dboard_base()

uhd::usrp::rx_dboard_base::~rx_dboard_base | ( |  | ) |
| inline override

The documentation for this class was generated from the following file:

- dboard_base.hpp